import 'package:dio/dio.dart';
import 'package:flutter_tracker/dio/api.dart';
import 'package:flutter_tracker/model/user_model.dart';

class LoginDao {
  static Map<String, dynamic> params = <String, dynamic>{};

  static Future<UserModel> login(String username, String password) async {
    params.addAll({"username": username, "password": password});
    Response response = await Dio().post(Api.loginUrl, queryParameters: params);
    return UserModel.fromJson(response.data);
  }

  static Future<bool> logout(String token) async {
    params.addAll({"token": token});
    try {
      Response response = await Dio().get(Api.logoutUrl);
      if (response.statusCode == 200) {
        if (response.data["success"] == "true") {
          return true;
        } else {
          return false;
        }
      }
    } catch (e) {
      return false;
    }
  }

  static Future<UserModel> register(String username, String password) async {
    params.addAll({"username": username, "password": password});
    try {
      Response response =
          await Dio().post(Api.registerUrl, queryParameters: params);
      return UserModel.fromJson(response.data);
    } catch (e) {}
  }

  static Future<UserModel> getUserInfo(String token) async {
    params.addAll({"token": token});
    Response response =
        await Dio().get(Api.getUserInfoUrl, queryParameters: params);
    return UserModel.fromJson(response.data);
  }
}
